gnutls_x509_dn_oid_known(3)

NAME
gnutls_x509_dn_oid_known - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_oid_known(const char * oid);

ARGUMENTS

const char * oid
    holds an Object Identifier in a null terminated string

DESCRIPTION
This function will inform about known DN OIDs. This is useful since functions like gnutls_x509_crt_set_dn_by_oid() use the information on known OIDs to properly encode their input. Object Identifiers that are not known are not encoded by these functions, and their input is stored directly into the ASN.1 structure. In that case of unknown OIDs, you have the responsibility of DER encoding your data.

RETURNS
1 on known OIDs and 0 otherwise.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/